inline std::vector<VM3Vector> & SceneData::GetViewpointLocationList()
{
  return viewpointLocationList_;
}

inline const std::vector<VM3Vector> & SceneData::GetViewpointLocationList() const
{
  return viewpointLocationList_;
}

inline std::vector<VM3Vector> & SceneData::GetReconViewpointLocationList()
{
  return reconViewpointLocationList_;
}

inline const std::vector<VM3Vector> & SceneData::GetReconViewpointLocationList() const
{
  return reconViewpointLocationList_;
}

inline std::vector<VM4Matrix> & SceneData::GetViewpointOrientationList()
{
  return viewpointOrientationList_;
}

inline const std::vector<VM4Matrix> & SceneData::GetViewpointOrientationList() const
{
  return viewpointOrientationList_;
}
inline std::vector<bool> & SceneData::GetViewpointValidOrientationList()
{
  return viewpointValidOrientationList_;
}

inline const std::vector<bool> & SceneData::GetViewpointValidOrientationList() const
{
  return viewpointValidOrientationList_;
}

inline std::vector<Feature> & SceneData::GetFeatureList()
{
  return featureList_;
}

inline const std::vector<Feature> & SceneData::GetFeatureList() const
{
  return featureList_;
}

inline std::vector<ReconObject> & SceneData::GetReconObjectList()
{
  return reconObjectList_;
}

inline const std::vector<ReconObject> & SceneData::GetReconObjectList() const
{
  return reconObjectList_;
}

inline std::vector<VM3Vector> & SceneData::GetSBAReconLocationList()
{
  return SBAReconLocationList_;
}

inline const std::vector<VM3Vector> & SceneData::GetSBAReconLocationList() const
{
  return SBAReconLocationList_;
}

inline std::vector<VM3Vector> & SceneData::GetTriangulateReconLocationList()
{
  return triangulateReconLocationList_;
}

inline const std::vector<VM3Vector> & SceneData::GetTriangulateReconLocationList() const
{
  return triangulateReconLocationList_;
}

inline const std::vector<float> & SceneData::GetProjErrorList() const
{
    return projErrorList_;
}

	
inline std::vector<float> & SceneData::GetProjErrorList()
{   return projErrorList_;  }		

inline std::vector<VM3Vector> & SceneData::GetObjectLocationList()
{
  return objectLocationList_;
}

inline const std::vector<VM3Vector> & SceneData::GetObjectLocationList() const
{
  return objectLocationList_;
}

inline std::vector<FeaturePair*> & SceneData::GetAnchorList()
{
  return anchorList_;
}

inline const std::vector<FeaturePair*> & SceneData::GetAnchorList() const
{
  return anchorList_;
}

inline CameraParameters & SceneData::GetCameraParameters()
{
  return cameraParameters_;
}


inline const CameraParameters & SceneData::GetCameraParameters() const
{  return cameraParameters_;  }

inline bool SceneData::HasObjectLocations() const
{
  return !objectLocationList_.empty();
}
