#include "anchors.h"

const VMArray<Anchor> read_anchors( const char * filename )
{
  FILE *fp;
  char buf[256];
  int i, num;
  Anchor a = Anchor();

  // open the file
  fp = fopen( filename, "r" );
  if( fp == 0 ) {
    printf( "Could not open \"%s\"!\n", filename );
    return VMArray<Anchor>();
  }

  // initialize the empty anchor list
  VMArray<Anchor> anchorList;

  // get the anchor list
  fgets(buf, 256, fp);
  sscanf(buf," %*s %i ", &num);
  anchorList.resize(num);
  for (i=0; i<anchorList.size(); i++) {
    fgets(buf, 256, fp);
    sscanf(buf, " %u %u %u %u %u %u %u %u %u %u %u %u ",
           a.projIds_[0][0], a.projIds_[0][1],a.projIds_[0][2],
           a.projIds_[0][3], a.projIds_[0][4],a.projIds_[0][5],
           a.projIds_[1][6], a.projIds_[1][7],a.projIds_[1][8],
           a.projIds_[1][9], a.projIds_[1][10],a.projIds_[1][11] );

    anchorList[i] = a;
  }

  // close the file and return
  fclose( fp );
  return anchorList;
}
