#include <vmarray.h>

typedef struct {
   int val;
   int a,b,c;
} MyStruct;

main()
{
   VMArray<MyStruct> array(5);
   MyStruct s;
   int n;

#if 0
   VMArray<MyStruct> *foo;
   foo = new VMArray<MyStruct>[5];
   foo[2].append(s);
#endif

   for (n=0; n<5; n++) {
      s.val = n;
      s.a = 1;
      s.b = 2;
      s.c = 3;
      array.replace(n, s);
   }

   for (n=0; n<array.size(); n++) {
      s = array[n];
      printf("%i\n", s.val);
   }
   printf("\n");

   s.val = 5;
   array.append(s);
   s.val = 6;
   array.append(s);
   s.val = -1;
   array.prepend(s);
   s.val = -2;
   array.prepend(s);

   for (n=0; n<array.size(); n++) {
      s = array[n];
      printf("%i\n", s.val);
   }
   printf("\n");

   array.remove(1);
   array.remove(0);

   array.remove(3);
   s.val = 99;
   array.insert(3, s);

   array.fit();
   for (n=0; n<array.size(); n++) {
      s = array[n];
      printf("%i\n", s.val);
   }
   printf("\n");

   MyStruct &ref = array[2];
   ref.val = -1;
   
   for (n=0; n<array.size(); n++) {
      s = array[n];
      printf("%i\n", s.val);
   }
   array.empty();
}

