#ifndef __NonanchorReconstructor_hpp__
#define __NonanchorReconstructor_hpp__

#include "SceneData.hpp"
#include "FeaturePair.hpp"
//#include "Nrutil.h"

class SceneData;

class NonanchorReconstructor {  
	
	SceneData & sceneData_;

public:

  NonanchorReconstructor( SceneData & sceneData );
  NonanchorReconstructor( const NonanchorReconstructor & nonanchorReconstructor );    
  void ReconstructNonanchorFeature( const Feature & feature, 
		  float & projError, int nonanchorImageNumber );

private:  
	
	void LinearEquationsSolver( float **A, float *x, float *B, 
			int m, int n, float & conditionNumber );

};


#endif // __NonanchorReconstructor_hpp__
